# The CMake specific mingw64 CDBS target file.

CONFIGOPTS = 

CONFIGOPTS32 = -DCMAKE_TOOLCHAIN_FILE=/usr/share/cdbs/1/class/mingw64-i686.toolchain
CONFIGOPTS64 = -DCMAKE_TOOLCHAIN_FILE=/usr/share/cdbs/1/class/mingw64-x86_64.toolchain

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	mkdir -p build-64
	if [ -f debian/pre64_config.sh ]; then /bin/bash debian/pre64_config.sh; fi
	cd build-64 && $(MINGW64_ENVARS) cmake .. $(CONFIGOPTS) $(CONFIGOPTS64)
	if [ -f debian/post64_config.sh ]; then /bin/bash debian/post64_config.sh; fi
	
	mkdir -p build-32
	if [ -f debian/pre32_config.sh ]; then /bin/bash debian/pre32_config.sh; fi
	cd build-32 && $(MINGW32_ENVARS) cmake .. $(CONFIGOPTS) $(CONFIGOPTS32)
	if [ -f debian/post32_config.sh ]; then /bin/bash debian/post32_config.sh; fi
		
	touch configure-stamp

